Package com.collibra.catalog.api.component.classification.dto

# Class AddClassificationRequest

Object
AddClassificationRequest

public class AddClassificationRequest extends Object
Request to add `Classification`.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `AddClassificationRequest.AddClassificationRequestBuilder`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AddClassificationRequest()`
  `AddClassificationRequest(String name)`
  Creates a new `AddClassificationRequest` instance.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static AddClassificationRequest.AddClassificationRequestBuilder`
  `builder()`
  `protected boolean`
  `canEqual(Object other)`
  `boolean`
  `equals(Object o)`
  `String`
  `getName()`
  New `Classification` name.
  `int`
  `hashCode()`
  `void`
  `setName(String name)`
  New `Classification` name.
  `String`
  `toString()`

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### AddClassificationRequest

    public AddClassificationRequest(String name)
    Creates a new `AddClassificationRequest` instance.
    Parameters:
      `name` - New `Classification` name.

  - ### AddClassificationRequest

    public AddClassificationRequest()

- ## Method Details

  - ### builder

    public static AddClassificationRequest.AddClassificationRequestBuilder builder()

  - ### getName

    public String getName()
    New `Classification` name.

  - ### setName

    public void setName(String name)
    New `Classification` name.

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### canEqual

    protected boolean canEqual(Object other)

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`